Bug 32950 - Не работает без polkit (add Requires: polkit)
: Не работает без polkit (add Requires: polkit)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pcsc-lite)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2016-12-28 00:08 by
Modified: 2016-12-31 14:14 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2016-12-28 00:08:14
Не работает без polkit (add Requires: polkit)

Возможно я что-то делаю не так, но без пакета polkit у меня pcscd отказывается
принимать соединения:
# pcsc_scan
PC/SC device scanner
V 1.4.27 (c) 2001-2011, Ludovic Rousseau <ludovic.rousseau@free.fr>
Compiled with PC/SC lite version: 1.8.18
SCardEstablishContext: RPC transport error.

в journalctl:
host dbus-daemon[388]: dbus[388]: [system] Rejected send message, 1 matched
rules; type="method_call", sender=":1.32" (uid=0 pid=4462 comm="/usr/sbin/pcscd
-d ") interface="org.freedesktop.DBus.Properties" member="GetAll" error
name="(unset)" requested_reply="0" destination=":1.20" (uid=485 pid=3819
comm="/usr/libexec/polkit-1/polkitd --no-debug ")
дек 28 00:02:38 host dbus-daemon[388]: dbus[388]: [system] Rejected send
message, 1 matched rules; type="method_call", sender=":1.32" (uid=0 pid=4462
comm="/usr/sbin/pcscd -d ") interface="org.freedesktop.PolicyKit1.Authority"
member="CheckAuthorization" error name="(unset)" requested_reply="0"
destination=":1.20" (uid=485 pid=3819 comm="/usr/libexec/polkit-1/polkitd
--no-debug ")

# ls /usr/libexec/polkit-1/polkitd
ls: cannot access /usr/libexec/polkit-1/polkitd: No such file or directory

P.S.: Ставил минимальную систему
------- Comment #1 From 2016-12-28 15:40:35 -------
Вообще несколько странно иметь базовую систему с systemd, но без polkit.
А в системе с SysVinit polkit не нужен, поэтому, видимо, явной зависимости на
polkit и нет.
------- Comment #2 From 2016-12-29 21:27:08 -------
(В ответ на комментарий №1)
> А в системе с SysVinit polkit не нужен, поэтому, видимо, явной зависимости на
> polkit и нет.

Проверил на минимальной системе с sysvinit:
1. без polkit так же не работает
2. с polkit все норм
------- Comment #3 From 2016-12-30 13:13:51 -------
pcsc-lite-1.8.18-alt2 -> sisyphus:

* Fri Dec 30 2016 Lenar Shakirov <snejok@altlinux> 1.8.18-alt2
- Requires: polkit added (closes: #32950)